Tankadin2_RF_Options = {
	version = 2,
	annoy = false,
	warn_seal = true,
	warn_rf = true,
	button = true,
	RF_warnDuration = 30,
	Seal_warnDuration = 8,
	scale = .75,
	updateFreq = 240
}

local i = 1;

function Tankadin_RFMod_SetVisability()
	if Tankadin2_RF_Options.button ~= true then
		Tankadin_RFMod:Hide();
	else
		Tankadin_RFMod:Show();
	end
	if Tankadin2_RF_Options.SSbutton ~= true then
		Tankadin_RFModSS:Hide();
	else
		Tankadin_RFModSS:Show();
	end
end

--Hooks into the main On_Event, OnUpdate Hook functions and Color Hook
local function Tankadin_RFMod_OnLoad()
	Tankadin_Hooks_CopyRF = Tankadin_Hooks;
	Tankadin_Hooks = Tankadin_RF_Hooks;
	Tankadin_UpdateColorHook_CopyRF = Tankadin_UpdateColorHook;
	Tankadin_UpdateColorHook = Tankadin_RF_ColorHook;
	Tankadin_OnUpdate_RFCopy = Tankadin_NinjaOnUpdate;
	Tankadin_NinjaOnUpdate = Tankadin_RFOnUpdate;
end

function Tankadin_RF_ColorHook()
	Tankadin_UpdateColorHook_CopyRF();
	
	Tankadin_RFMod:SetBackdropColor(Tankadin2_Options.Color.BG[1],Tankadin2_Options.Color.BG[2],Tankadin2_Options.Color.BG[3],Tankadin2_Options.Color.BG[4]);
	Tankadin_RFMod:SetBackdropBorderColor(Tankadin2_Options.Color.Border[1],Tankadin2_Options.Color.Border[2],Tankadin2_Options.Color.Border[3],Tankadin2_Options.Color.Border[4]);
	
	Tankadin_RFModSS:SetBackdropColor(Tankadin2_Options.Color.BG[1],Tankadin2_Options.Color.BG[2],Tankadin2_Options.Color.BG[3],Tankadin2_Options.Color.BG[4]);
	Tankadin_RFModSS:SetBackdropBorderColor(Tankadin2_Options.Color.Border[1],Tankadin2_Options.Color.Border[2],Tankadin2_Options.Color.Border[3],Tankadin2_Options.Color.Border[4]);
	
end

function Tankadin_RF_Hooks(self, event, ...)
	Tankadin_Hooks_CopyRF(self, event, ...);
	--Tankadin_Message("What what in the hook?");
	--Grab Variables
	local Resting              = IsResting();
	local PlayerGUID           = UnitGUID("player");
	local InCombat 			   = InCombatLockdown();
	if InCombat == nil then
		InCombat = false;
	end
	
	if  (event == "COMBAT_LOG_EVENT_UNFILTERED" )then
	
	local timestamp, eventType, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, prefix1, prefix2, prefix3, suffix1, suffix2, suffix3, suffix4, suffix5, suffix6, suffix7, suffix8 = ...;
		
	--RF Fade
	for i = 1, table.getn(Tankadin_Spells.RighteousFury) do
		if( eventType == "SPELL_AURA_REMOVED" and destGUID == PlayerGUID and prefix1 == Tankadin_Spells.RighteousFury[i] and Tankadin2_RF_Options.warn_rf and Resting == nil)then
				if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_RF_WARNING) else Tankadin_Warning(TANKADIN_RF_WARNING) end;
				Tankadin_RFButtonTexture:SetVertexColor(1,0,0,1);
				Tankadin_RFButtonTexture:SetTexture("Interface\\Icons\\Spell_Holy_SealOfFury");
		end
	end
	
	for i = 1, table.getn(Tankadin_Spells.RighteousFury) do
		if( eventType == "SPELL_AURA_APPLIED" and destGUID == PlayerGUID and prefix1 == Tankadin_Spells.RighteousFury[i])then
				Tankadin_RFButtonTexture:SetVertexColor(1,1,1,1);
		end
	end
	
	--DP Fade
	for i = 1, table.getn(Tankadin_Spells.DivinePlea) do
		if( eventType == "SPELL_AURA_REMOVED" and destGUID == PlayerGUID and prefix1 == Tankadin_Spells.DivinePlea[i])then
				Tankadin_RFButtonTexture:SetVertexColor(1,0,0,1);
		end
	end
	
	for i = 1, table.getn(Tankadin_Spells.DivinePlea) do
		if( eventType == "SPELL_AURA_APPLIED" and destGUID == PlayerGUID and prefix1 == Tankadin_Spells.DivinePlea[i])then
				Tankadin_RFButtonTexture:SetVertexColor(1,1,1,1);
				if Tankadin2_RF_Options.showDPBar then Tankadin_DP_DurationBarActivate() end
		end
	end
	
	--SS Fade
	for i = 1, table.getn(Tankadin_Spells.SacredShield) do
		if( eventType == "SPELL_AURA_REMOVED" and destGUID == PlayerGUID and sourceGUID == PlayerGUID and prefix1 == Tankadin_Spells.SacredShield[i] and Tankadin2_RF_Options.warnSS and Resting == nil and InCombat)then
				if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SS_WARNING) else Tankadin_Warning(TANKADIN_SS_WARNING) end;
				Tankadin_SSButtonTexture:SetVertexColor(1,0,0,1);
		end
	end
	
	for i = 1, table.getn(Tankadin_Spells.SacredShield) do
		if( eventType == "SPELL_AURA_APPLIED" and destGUID == PlayerGUID and sourceGUID == PlayerGUID and prefix1 == Tankadin_Spells.SacredShield[i])then
				Tankadin_SSButtonTexture:SetVertexColor(1,1,1,1);
		end
	end
	
	--Seal Fade
	for i = 1, table.getn(Tankadin_Spells.Seals) do
		if( eventType == "SPELL_AURA_REMOVED" and destGUID == PlayerGUID and prefix1 == Tankadin_Spells.Seals[i] and Tankadin2_RF_Options.warn_seal and Resting == nil)then
				if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_WARNING) end;
		end
	end
	
	end
	
	if event == "PLAYER_ENTERING_WORLD" then
		Tankadin_RFOptions_Update();

		Tankadin_RFMod:SetScale(Tankadin2_RF_Options.scale);
		Tankadin_RFMod:SetBackdropColor(Tankadin2_Options.Color.BG[1],Tankadin2_Options.Color.BG[2],Tankadin2_Options.Color.BG[3],Tankadin2_Options.Color.BG[4]);
		Tankadin_RFMod:SetBackdropBorderColor(Tankadin2_Options.Color.Border[1],Tankadin2_Options.Color.Border[2],Tankadin2_Options.Color.Border[3],Tankadin2_Options.Color.Border[4]);
		
		Tankadin_RFModSS:SetScale(Tankadin2_RF_Options.scale);
		Tankadin_RFModSS:SetBackdropColor(Tankadin2_Options.Color.BG[1],Tankadin2_Options.Color.BG[2],Tankadin2_Options.Color.BG[3],Tankadin2_Options.Color.BG[4]);
		Tankadin_RFModSS:SetBackdropBorderColor(Tankadin2_Options.Color.Border[1],Tankadin2_Options.Color.Border[2],Tankadin2_Options.Color.Border[3],Tankadin2_Options.Color.Border[4]);
		
		TANKADINRF_FREQ = tonumber(Tankadin2_RF_Options.updateFreq);
		Tankadin_RFMod_SetVisability();
	--Disable if not on a Paladin
		local class = select(2,UnitClass("player"))
			if (class ~= "PALADIN") then
				Tankadin_Message(TANKADIN_RF_DISABLE);
				DisableAddOn("Tankadin2_RF");
				Tankadin_RFMod:Hide();
				Tankadin_RFOnUpdate = "";
				Tankadin2_RF_Options.warn_rf = false;
				Tankadin2_RF_Options.warn_seal = false;
			end
	end
	
end

function Tankadin_RFOptions_Update()
	if Tankadin2_RF_Options.version == nil then
		Tankadin2_RF_Options.version = 2;
		Tankadin2_RF_Options.annoy = false;
	end
	if Tankadin2_RF_Options.version == 2 then
		Tankadin2_RF_Options.version = 3;
		Tankadin2_RF_Options.text = false;
	end
	if Tankadin2_RF_Options.version == 3 then
		Tankadin2_RF_Options.warnSS = true;
		Tankadin2_RF_Options.SSbutton = true;
		Tankadin2_RF_Options.SS_warnDuration = 10;
		Tankadin2_RF_Options.version = 4;
	end
	if Tankadin2_RF_Options.showDPBar == nil then
		Tankadin2_RF_Options.showDPBar = true;
	end
end

Tankadin_RFCounter = 1;

function Tankadin_RFOnUpdate()
	Tankadin_OnUpdate_RFCopy();
	Tankadin_RFCounter = Tankadin_RFCounter + 1;
	if Tankadin_RFCounter ~= TANKADINRF_FREQ then
	--moo
	else
	Tankadin_RFCounter = 1;
	local time 		= GetTime();
	local Resting 	= IsResting();
	local Dead	    = UnitIsDeadOrGhost("player");
	local OnTaxi 	= UnitOnTaxi("player");
	local InCombat  = InCombatLockdown();
	if InCombat == nil then
		InCombat = false;
	end
	--RF Check
	--[[IMG CODE
	if RF then
	Tankadin_RFButtonTexture:SetTexture("Interface\\Icons\\Spell_Holy_SealOfFury");
	else
	Tankadin_RFButtonTexture:SetTexture("Interface\\Icons\\Spell_Holy_Aspiration");
	end
	]]--
	local spellName, _, _, _, _, _, _, _ = UnitAura("player", TANKADIN_RF, nil);
	if spellName ~= nil then
	Tankadin_RFButtonTexture:SetTexture("Interface\\Icons\\Spell_Holy_Aspiration");
	elseif spellName == nil and Tankadin2_RF_Options.annoy and not Resting and not Dead and not OnTaxi then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_RF_WARNING) else end;
		UIFrameFlash(Tankadin_RFButtonTexture, .1, .1, 8, true, .5, .5);
		Tankadin_Warning(TANKADIN_RF_ANNOYMESSAGE);
	end
	if spellName == nil then
		Tankadin_RFButtonTexture:SetVertexColor(1,0,0,1);
		Tankadin_RFButtonTexture:SetTexture("Interface\\Icons\\Spell_Holy_SealOfFury");
	else
		Tankadin_RFButtonTexture:SetVertexColor(1,1,1,1);
	end
	--DP Check
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_DP, nil, "PLAYER");
	if expiryTime == nil then
		Tankadin_RFButtonTexture:SetVertexColor(1,0,0,1);
	else
		Tankadin_RFButtonTexture:SetVertexColor(1,1,1,1);
	end
	--SS Check
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SS, nil, "PLAYER");
	if expiryTime ~= nil then
	if (expiryTime - time) < Tankadin2_RF_Options.SS_warnDuration and Tankadin2_RF_Options.warnSS and not Resting and not OnTaxi and InCombat then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SS_WARNING) else Tankadin_Warning(TANKADIN_SS_FADING) end;
		UIFrameFlash(Tankadin_SSButtonTexture, .1, .1, 8, true, .5, .5);
	end
	end
	if expiryTime == nil then
		Tankadin_SSButtonTexture:SetVertexColor(1,0,0,1);
	else
		Tankadin_SSButtonTexture:SetVertexColor(1,1,1,1);
	end
	--Seal Checks
	if InCombat then
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL1, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL2, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL3, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL4, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL5, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL6, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL7, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL8, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	local _, _, _, _, _, _, expiryTime, _ = UnitAura("player", TANKADIN_SEAL9, nil);
	if expiryTime ~= nil then
	if expiryTime - time < Tankadin2_RF_Options.Seal_warnDuration and Tankadin2_RF_Options.warn_seal and not Resting then
		if Tankadin2_RF_Options.text then Tankadin_Message(TANKADIN_SEAL_WARNING) else Tankadin_Warning(TANKADIN_SEAL_FADING) end;
	end
	end
	end
	end
end

--Grabs the localized name of RF from the server
TANKADIN_RF,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.RighteousFury[1]);
TANKADIN_SS,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.SacredShield[1]);
TANKADIN_DP,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.DivinePlea[1]);
TANKADIN_SEAL1,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[1]);
TANKADIN_SEAL2,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[2]);
TANKADIN_SEAL3,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[3]);
TANKADIN_SEAL4,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[4]);
TANKADIN_SEAL5,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[5]);
TANKADIN_SEAL6,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[6]);
TANKADIN_SEAL7,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[7]);
TANKADIN_SEAL8,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[8]);
TANKADIN_SEAL9,_,_,_,_,_,_,_,_ = GetSpellInfo(Tankadin_Spells.Seals[9]);


-- Finally Creates the frame
local mainFrame = CreateFrame("Frame", "Tankadin_RFMod", UIParent);
mainFrame:SetFrameStrata("MEDIUM");
mainFrame:SetToplevel(true);
mainFrame:EnableMouse(true);
mainFrame:SetMovable(true);
mainFrame:SetClampedToScreen(true);

mainFrame:SetWidth(60);
mainFrame:SetHeight(60);
mainFrame:SetPoint("CENTER");

mainFrame:SetBackdrop( { 
  bgFile = "Interface\\Tooltips\\UI-Tooltip-Background", 
  edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = true, tileSize = 16, edgeSize = 16, 
  insets = { left = 4, right = 4, top = 4, bottom = 4 }
});
mainFrame:SetBackdropColor(0,0,0,0.4);
mainFrame:SetBackdropBorderColor(1, 0.8, 0, 0.8);

local button = CreateFrame("Button", "Tankadin_RFButton", mainFrame, "ActionButtonTemplate, SecureActionButtonTemplate");
button:SetPoint("CENTER");
local texture = button:CreateTexture("Tankadin_RFButtonTexture", "BACKGROUND");
texture:SetTexture("Interface\\Icons\\Spell_Holy_SealOfFury");
texture:SetPoint("CENTER");
texture:SetWidth(40);
texture:SetHeight(40);
button:RegisterForClicks("AnyUp");
button:SetAttribute("type", "spell");
button:SetAttribute("unit", "player");
button:SetAttribute("*spell1", TANKADIN_RF);
button:SetAttribute("*spell2", TANKADIN_DP);


mainFrame:SetScript("OnMouseDown", function()
	if not Tankadin2_Options.lock and arg1 == "LeftButton" then mainFrame:StartMoving() end 
end
);

mainFrame:SetScript("OnMouseUp", function()
	mainFrame:StopMovingOrSizing()
end
);

mainFrame:SetScript("OnHide", function()
	mainFrame:StopMovingOrSizing()
end
);
mainFrame:SetScript("OnShow", function() Tankadin_RFMod:SetScale(Tankadin2_RF_Options.scale); end );

-- Creates SS Frame
local mainFrame = CreateFrame("Frame", "Tankadin_RFModSS", UIParent);
mainFrame:SetFrameStrata("MEDIUM");
mainFrame:SetToplevel(true);
mainFrame:EnableMouse(true);
mainFrame:SetMovable(true);
mainFrame:SetClampedToScreen(true);

mainFrame:SetWidth(60);
mainFrame:SetHeight(60);
mainFrame:SetPoint("CENTER");

mainFrame:SetBackdrop( { 
  bgFile = "Interface\\Tooltips\\UI-Tooltip-Background", 
  edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = true, tileSize = 16, edgeSize = 16, 
  insets = { left = 4, right = 4, top = 4, bottom = 4 }
});
mainFrame:SetBackdropColor(0,0,0,0.4);
mainFrame:SetBackdropBorderColor(1, 0.8, 0, 0.8);

local button = CreateFrame("Button", "Tankadin_SSButton", mainFrame, "ActionButtonTemplate, SecureActionButtonTemplate");
button:SetPoint("CENTER");
local texture = button:CreateTexture("Tankadin_SSButtonTexture", "BACKGROUND");
texture:SetTexture("Interface\\Icons\\Ability_Paladin_BlessedMending");
texture:SetPoint("CENTER");
texture:SetWidth(40);
texture:SetHeight(40);
button:SetAttribute("unit", "player");
button:SetAttribute("type1", "spell");
button:SetAttribute("spell1", TANKADIN_SS);



mainFrame:SetScript("OnMouseDown", function()
	if not Tankadin2_Options.lock and arg1 == "LeftButton" then mainFrame:StartMoving() end 
end
);

mainFrame:SetScript("OnMouseUp", function()
	mainFrame:StopMovingOrSizing()
end
);

mainFrame:SetScript("OnHide", function()
	mainFrame:StopMovingOrSizing()
end
);
mainFrame:SetScript("OnShow", function() Tankadin_RFMod:SetScale(Tankadin2_RF_Options.scale); end );

Tankadin_RFMod_OnLoad();
Tankadin_RFOnUpdate();

--!! New DP Duration Bar !!--
local statusbar = CreateFrame("StatusBar", "Tankadin_DP_DurationBar", UIParent);
statusbar:SetFrameStrata("MEDIUM");
statusbar:SetToplevel(true);
statusbar:EnableMouse(true);
statusbar:SetMovable(true);
statusbar:SetClampedToScreen(true);

statusbar:SetMinMaxValues(0, 15);
statusbar:SetStatusBarTexture("Interface\\CHARACTERFRAME\\BarFill");
statusbar:SetStatusBarColor(1, 1, 0, 1);
statusbar:SetOrientation("Vertical");

statusbar:SetWidth(16);
statusbar:SetHeight(40);
statusbar:SetPoint("CENTER");

statusbar:SetBackdrop( { 
  bgFile = "Interface\\Tooltips\\UI-Tooltip-Background", 
  edgeFile = "Interface\\Tooltips\\UI-Tooltip-Background", tile = true, tileSize = 16, edgeSize = 16, 
  insets = { left = -4, right = -4, top = -4, bottom = -4 }
});
statusbar:SetBackdropColor(0,0,0,1);
statusbar:SetBackdropBorderColor(1, 1, 1, .6);

statusbar:Hide();

local fontString = statusbar:CreateFontString("Tankadin_DP_DurationBarText", "OVERLAY", "SystemFont_Small");
fontString:SetText("N/A");
fontString:SetPoint("TOP", statusbar, "RIGHT", -8, 0);

TANKADIN_DPBARCONTROL = 1;

function Tankadin_DP_DurationBarActivate()
	Tankadin_DP_DurationBar:Show();
end

statusbar:SetScript("OnUpdate", function()
TANKADIN_DPBARCONTROL = TANKADIN_DPBARCONTROL + 1;
if TANKADIN_DPBARCONTROL >= 10 then
	local timer = TankadinUnitHasBuffAdv(TANKADIN_DP, nil, "player", "expire");
	if timer == nil then timer = 0 end
		local cd = Tankadin_round(timer - GetTime(), 0);
		statusbar:SetValue(cd);
		if cd <= 0 then statusbar:Hide(); end
TANKADIN_DPBARCONTROL = 1;
end
end
);

statusbar:SetScript("OnValueChanged", function()
	Tankadin_DP_DurationBarText:SetText(Tankadin_TimeFormat(Tankadin_DP_DurationBar:GetValue(), "s"));
end
);

statusbar:SetScript("OnMouseDown", function()
	if not Tankadin2_Options.lock and arg1 == "LeftButton" then statusbar:StartMoving() end 
end
);

statusbar:SetScript("OnMouseUp", function()
	statusbar:StopMovingOrSizing()
end
);

statusbar:SetScript("OnHide", function()
	statusbar:StopMovingOrSizing()
end
);